[Support] Linuxserver.io - Bazarr


Recommended Posts

On 1/31/2020 at 12:41 AM, Aerodb said:

Hello All,

 

 

I have been able to get Bazarr running and it shows all my media, However it doenst seem to pull any subtitles down from the providers. I am no paying for any of them currently, but i noticed many of the options dont call for user or API. 

 

Is there any data i can provide about my config that would help to troubleshoot why Bazarr has been unsuccessful in pulling these subtitles down?

Too general.

1. It could show media imported from Sonarr/Radarr but not localize them on disk due to wrong file paths (notorious problem here, yet very simple)

2. Did you set languages, and then manually asked for subtitles for given shows and movies? It doesnt happen automatically out of the box.

3. Do the providers actually have the subtitles, when searched through their website?

4. Get opensubtitles account (200 per day). If everything else fails, there must be some subtitles there for you, due to sheer size of the database, it it doesn't work then you can troubleshoot actual problems.

Link to comment
On 2/1/2020 at 5:31 AM, Mr.Khil said:

Too general.

1. It could show media imported from Sonarr/Radarr but not localize them on disk due to wrong file paths (notorious problem here, yet very simple)

2. Did you set languages, and then manually asked for subtitles for given shows and movies? It doesnt happen automatically out of the box.

3. Do the providers actually have the subtitles, when searched through their website?

4. Get opensubtitles account (200 per day). If everything else fails, there must be some subtitles there for you, due to sheer size of the database, it it doesn't work then you can troubleshoot actual problems.

Sorry for being vague...

 

1- you could be right here, but sure how to fix this though. I have Bazarr linked the my Sonarr and Radarr API keys and they test successfully. And all the media is placed and stored via Sonarr and Radarr.

2- I have added the desired languages to all the movies and tv shows. 

3- I have spot checked some movies and open subtitles (website) has the sub i need. but when i pull that same movie in Bazarr and click the manual search, there are no results. 

4- I didnt have this set up, I now do and have added my credentials to Bazarr. 

 

Thank you in advance for the guidance so far, and any future help you can provide would be greatly appreciated. 

Link to comment
  • 2 months later...

Could Use Some Guidance,

 

I have installed and set up the Bazaar docker and have been able to get it working with my series (TV Shows) without any issues. This is a great addon and I appreciate the work done on this. Very helpful.

 

I am having a problem with movies though. I am getting the message about the path being invalid, and I can see why it is happening. It appears as though Bazaar assumes that each movie will always be in it's own folder. However, mine are not. Example below:

 

Actual Path: /mnt/Movies/Features/South Pacific 1958 Bluray-1080p.mkv

Example of Bazaar Invalid path message shows path: /movies/Features/South Pacific (1958)/South Pacific 1958 Bluray-1080p.mkv

 

When I created the Folder "South Pacific (1958)" and put the movie file there, the app worked great.

 

My question is do I need to put each movie in a separate folder to get this working (not ideal solution because I would need to reconfigure hundreds of files)

or is there a setting I am missing that would allow Bazaar to find the file if it is not in it's own folder.

 

I have tried a number of different settings and searched the forums, but haven't found an answer yet.

 

Thanks in advance to the members that assist here.

 

 

Link to comment
  • 2 weeks later...

I had this issue also, 

 

What i did was take the path according to sonarr / radarr (look at any file and check structure, in my case data/media/Series // data/media/Movies that according to docker was mnt/user/media/.

Once i did that and linked to /tv/ and /movies/ on bazarr it started working for me. 

Link to comment

Hello.  After configuring Bazarr, it restarted, then it won't get to webui.  Instead, I see this in logs.

 

[cont-init.d] 10-adduser: exited 0.
[cont-init.d] 30-config: executing...
[cont-init.d] 30-config: exited 0.
[cont-init.d] 99-custom-files: executing...
[custom-init] no custom files found exiting...
[cont-init.d] 99-custom-files: exited 0.
[cont-init.d] done.
[services.d] starting services
[services.d] done.
2020-04-15 12:10:38,268 - root (14d4fb545d48) : INFO (main:2234) - BAZARR is started and waiting for request on http://192.168.1.103:6767/
Traceback (most recent call last):
File "/app/bazarr/bazarr/main.py", line 2236, in <module>
server.start()
File "/app/bazarr/bazarr/../libs/cherrypy/wsgiserver/__init__.py", line 2008, in start
raise socket.error(msg)
OSError: No socket could be created -- (('192.168.1.103', 6767): [Errno 99] Address not available)

 

What could be the problem?  I tried changing container port from 6767 to any random number, still the same.

Link to comment
  • 2 weeks later...
On 4/14/2020 at 11:44 PM, jang430 said:

Hello.  After configuring Bazarr, it restarted, then it won't get to webui.  Instead, I see this in logs.

 

[cont-init.d] 10-adduser: exited 0.
[cont-init.d] 30-config: executing...
[cont-init.d] 30-config: exited 0.
[cont-init.d] 99-custom-files: executing...
[custom-init] no custom files found exiting...
[cont-init.d] 99-custom-files: exited 0.
[cont-init.d] done.
[services.d] starting services
[services.d] done.
2020-04-15 12:10:38,268 - root (14d4fb545d48) : INFO (main:2234) - BAZARR is started and waiting for request on http://192.168.1.103:6767/
Traceback (most recent call last):
File "/app/bazarr/bazarr/main.py", line 2236, in <module>
server.start()
File "/app/bazarr/bazarr/../libs/cherrypy/wsgiserver/__init__.py", line 2008, in start
raise socket.error(msg)
OSError: No socket could be created -- (('192.168.1.103', 6767): [Errno 99] Address not available)

 

What could be the problem?  I tried changing container port from 6767 to any random number, still the same.

Try going into the actual app folder and into the config.ini file. Change the Bazarr IP(the IP at the top) to 0.0.0.0.  Worked for me.

Link to comment
  • 1 month later...
  • 2 months later...

Has anyone here had the issue where none of the dropdown menus work at all? I just recently installed Bazarr and have my Radarr connected to it with the correct path mapping (it recognizes all of my movies and shows a check for Path Exist) and now want to select what languages I would like to search for but the drop down doesn't work. There is an arrow icon to the right of the words "Nothing Selected" but it doesn't bring up a drop down to choose languages from. This happens with any and all drop downs, for example when wanting to change my proxy type from "None" to anything else and I click on the word "None" to open the drop down menu, nothing happens other than the arrow icon on the right changing from up to down. Hopefully this makes sense and hopefully I can get some help with this. I tried switching browsers from Safari to Chrome and still doesn't work. Am I missing something? Thanks in advance!

Link to comment
  • 4 months later...
  • 3 weeks later...

So i have hit a new roadblock. I have the radarr side working but the sonarr seem to have the following error. 

 

Traceback (most recent call last):  File "/app/bazarr/bazarr/get_episodes.py", line 40, in sync_episodes   r.raise_for_status()  File "/app/bazarr/bazarr/../libs/requests/models.py", line 940, in raise_for_status   raise HTTPError(http_error_msg, response=self) requests.exceptions.HTTPError: 500 Server Error: Internal Server Error for url: http://192.168.86.49:8989/api/episode?seriesId=173&apikey=(correct sonarr API key here)

 

I see the sonnar connection does pass the test. 

 

any guidance on this would be REALLY appreciated. 

Link to comment
  • 2 months later...
On 1/30/2021 at 11:58 PM, Aerodb said:

So i have hit a new roadblock. I have the radarr side working but the sonarr seem to have the following error. 

 

Traceback (most recent call last):  File "/app/bazarr/bazarr/get_episodes.py", line 40, in sync_episodes   r.raise_for_status()  File "/app/bazarr/bazarr/../libs/requests/models.py", line 940, in raise_for_status   raise HTTPError(http_error_msg, response=self) requests.exceptions.HTTPError: 500 Server Error: Internal Server Error for url: http://192.168.86.49:8989/api/episode?seriesId=173&apikey=(correct sonarr API key here)

 

I see the sonnar connection does pass the test. 

 

any guidance on this would be REALLY appreciated. 

UPDATE: I have figured out how to get Bazarr to connect to the TV content directories(tv-show folder), but not the seasons or episodes. anyone solved this one before?

Link to comment

Hello guys, Bazarr used to work perfectly for me, but I recently noticed it was very slow at downloading subtitles. On closer inspection I see the following output in the log. Can someone point me in the right direction on how to fix or debug?

I've looked through the forum and online in general, but haven't found anyone with the same issue.

 

image.png.385270487c1799c99ddf60974ab2426e.png

 

Thanks!

Link to comment
  • 5 weeks later...
On 4/4/2021 at 9:26 PM, guipace said:

Hello guys, Bazarr used to work perfectly for me, but I recently noticed it was very slow at downloading subtitles. On closer inspection I see the following output in the log. Can someone point me in the right direction on how to fix or debug?

I've looked through the forum and online in general, but haven't found anyone with the same issue.

 

image.png.385270487c1799c99ddf60974ab2426e.png

 

Thanks!

 

I have this exact same issue and haven't been able to find a solution.  Let me know if you come up with anything!

Link to comment
  • 5 weeks later...
On 4/3/2021 at 5:06 PM, Aerodb said:

UPDATE: I have figured out how to get Bazarr to connect to the TV content directories(tv-show folder), but not the seasons or episodes. anyone solved this one before?

 

 

Hi,

 

I had the same problem and solved it by installing the development version of Bazarr.

Link to comment
Posted (edited)

Hi all, 

 

I've also been having problems with bazarr. Specially with the integration with radarr (as with sonarr is working perfectly). When I go to the movies tab i get a 500 error and in the l
ogs i get an api error "Exception on /api/movies [GET]". The detail of that error is below. I am using linuxserver images for everything rr (radarr, bazarr, sonarr and lidarr) and all of them are working just fine. 

1252781445_ScreenShot2021-06-03at13_52_26.thumb.png.cba7255dfadb78c0d70645dd86b2a8b0.png

 

Edit: Also, when I search for a movie in the search box it works, and then after finding it the movie tab shows all movies, but when I want to mass edit all of them and add a profile it doesnt work and it crashes.

 

Any thoughts? 

 

Thanks!

 

Edited by cookiemonsters
Add more details
Link to comment
  • 3 weeks later...

I am trying to keep my disks spun down as much as possible, and narrowed down the biggest offender to be bazarr. It is downloading subs and spinning up the disks very frequently. I do not see a way to adjust how often it searches or downloads. If someone know how to do this it would be great.

 

Or, better yet, if someone knows a way to make it download to cache instead (still same path though, ie. mnt/user/media/movies but on the cache) then it would never spin up the drives and instead the subs would be accessible right away and get moved over with mover.

Link to comment
  • 1 month later...

I am having issues with downloading my files. I even went as fare as deleting everything and starting over.

Traceback (most recent call last):

  File "/app/bazarr/bin/bazarr/../libs/knowit/api.py", line 64, in know

    result = provider.describe(video_path, context)

  File "/app/bazarr/bin/bazarr/../libs/knowit/providers/ffmpeg.py", line 258, in describe

    result = self._describe_tracks(video_path, general_track, video_tracks, audio_tracks, subtitle_tracks, context)

  File "/app/bazarr/bin/bazarr/../libs/knowit/provider.py", line 40, in _describe_tracks

    props = self._describe_track(general_track, \'general\', context)

  File "/app/bazarr/bin/bazarr/../libs/knowit/provider.py", line 93, in _describe_track

    value = prop.extract_value(track, context)

  File "/app/bazarr/bin/bazarr/../libs/knowit/property.py", line 49, in extract_value

    result = self.handle(value, context)

  File "/app/bazarr/bin/bazarr/../libs/knowit/properties/duration.py", line 33, in handle

    h, m, s, ms, mc = self.duration_re.match(text_type(value)).groups(\'0\')

AttributeError: \'NoneType\' object has no attribute \'groups\'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "/app/bazarr/bin/bazarr/list_subtitles.py", line 136, in store_subtitles_movie

    subtitle_languages = embedded_subs_reader(reversed_path,

  File "/app/bazarr/bin/bazarr/embedded_subs_reader.py", line 28, in embedded_subs_reader

    data = parse_video_metadata(file, file_size, episode_file_id, movie_file_id, use_cache=use_cache)

  File "/app/bazarr/bin/bazarr/embedded_subs_reader.py", line 112, in parse_video_metadata

    data["ffprobe"] = api.know(file)

  File "/app/bazarr/bin/bazarr/../libs/knowit/api.py", line 70, in know

    raise KnowitException(debug_info(context=context, exc_info=True))

knowit.api.KnowitException: +-------------------------------------------------------+

 

BAZARR error when trying to analyze this .mkv file: /movies/ComedyRomance/The Man with Two Brains (1983)/The Man with Two Brains (1983) - h265 Bluray-1080p AC3 2.0.mkv

 

This was working at one point. I have double checked the mappings, and they look right.

Link to comment
  • 2 weeks later...

Not working for me either right now

On 8/25/2021 at 1:36 PM, musicking said:

Anyone else not able to get to the web interface since the recent updates?

 

Had to go back to version-v0.9.6 in order to get things working.

 

 

Link to comment
2021-08-26 21:55:36,925 - root (1503f556a7d0) : ERROR (check_update:25) - Error trying to get releases from Github. Http error.

2021-08-26 21:55:37,152 - root (1503eefb2d00) : INFO (signalr_client:41) - BAZARR trying to connect to Sonarr SignalR feed...
2021-08-26 21:55:37,157 - root (1503eefb2e10) : INFO (signalr_client:105) - BAZARR trying to connect to Radarr SignalR feed...
2021-08-26 21:55:37,181 - root (1503eec93040) : INFO (signalr_client:129) - BAZARR SignalR client for Radarr is connected and waiting for events.
2021-08-26 21:55:37,252 - root (1503eefb2d00) : INFO (signalr_client:56) - BAZARR SignalR client for Sonarr is connected and waiting for events.
2021-08-26 21:55:37,254 - root (1503f556a7d0) : INFO (server:37) - BAZARR is started and waiting for request on http://192.168.1.77:6767
Traceback (most recent call last):
File "/app/bazarr/bin/bazarr/main.py", line 214, in <module>
webserver.start()
File "/app/bazarr/bin/bazarr/server.py", line 40, in start
self.server.serve_forever()
File "/usr/lib/python3.8/site-packages/gevent/baseserver.py", line 398, in serve_forever
self.start()
File "/usr/lib/python3.8/site-packages/gevent/baseserver.py", line 336, in start
self.init_socket()
File "/usr/lib/python3.8/site-packages/gevent/pywsgi.py", line 1545, in init_socket
StreamServer.init_socket(self)
File "/usr/lib/python3.8/site-packages/gevent/server.py", line 180, in init_socket
self.socket = self.get_listener(self.address, self.backlog, self.family)
File "/usr/lib/python3.8/site-packages/gevent/server.py", line 192, in get_listener
return _tcp_listener(address, backlog=backlog, reuse_addr=cls.reuse_addr, family=family)
File "/usr/lib/python3.8/site-packages/gevent/server.py", line 288, in _tcp_listener
sock.bind(address)
File "/usr/lib/python3.8/site-packages/gevent/_socketcommon.py", line 563, in bind
return self._sock.bind(address)
OSError: [Errno 99] Address not available: ('192.168.1.77', 6767)
Bazarr starting...
Bazarr exited.

 

The error I seem to be getting

Link to comment
On 8/25/2021 at 1:36 PM, musicking said:

Anyone else not able to get to the web interface since the recent updates?

 

Had to go back to version-v0.9.6 in order to get things working.

 

 

Hey how did you revert the docker to a older version?

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.